中危 imagemagick imagemagick 堆缓冲区溢出

CVE编号

CVE-2020-27829

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-03-27
漏洞描述
ImageMagick是一款用来创建、编辑、合成图片的软件,可以读取、转换、写入多种格式的图片。

ImageMagick 7.0.10-45之前版本中的coders/tiff.c存在堆缓冲区溢出漏洞。攻击者可利用该漏洞导致拒绝服务。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:https://github.com/ImageMagick/ImageMagick/commit/6ee5059cd3ac8d82714a1ab1321399b88539abf0
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick * Up to
(excluding)
7.0.10-45
运行在以下环境
系统 alpine_3.13 imagemagick * Up to
(excluding)
7.0.10.48-r0
运行在以下环境
系统 fedora_EPEL_8 imagemagick * Up to
(excluding)
0.9.8.1-2.el8
阿里云评分
5.6
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-122 堆缓冲区溢出
阿里云安全产品覆盖情况